// export const SELFSHOP = 'self_shop'

/**
 * 设置缓存 getLocalStorage
 * @param {*} key key
 * @param {*} value 值
 */
export function setLocalStorage (key, value) {
    window.localStorage.setItem(key, window.JSON.stringify(value))
}

/**
 * 获取指定缓存 getLocalStorage
 * @param {*} key key值
 * @returns
 */
export function getLocalStorage (key) {
    return window.JSON.parse(window.localStorage.getItem(key)) || ''
}

/**
 * 清除指定缓存clearStorage
 * @param {*} key key值
 */
export function removeLocalStorage (key) {
    window.localStorage.removeItem(key)
}

/**
 * 清空缓存
 */
export function clearStorage () {
    window.localStorage.clear()
}
